This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 163889 - [PATCH] List corruption when items are removed from /etc/cron.d
[PATCH] List corruption when items are removed from /etc/cron.d
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On: 162887
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-21 15:40 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-361
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-07-21 15:40:14 EDT
+++ This bug was initially created as a clone of Bug #162887 +++

Description of problem:
List corruption when items are removed from /etc/cron.d

Version-Release number of selected component (if applicable):
vixie-cron-4.1-3_EL3

How reproducible:
Every time

Steps to Reproduce:
 # cd /etc/cron.d
# service crond stop
# for i in a1 a2 a3 a4; do echo "* * * * * root /bin/echo $i >> /tmp/file" > $i
; done
# for i in a2 a3 a4; do touch -r a1 $i; done
# service crond start
# touch /tmp/file
# tail -f /tmp/file
(Wait until the next minute comes)
# rm a1
(Wait until the next minute comes)

Actual results:
a1
a2
a3
a4
<rm file>
a1
a3
a3

Expected results:
a1
a2
a3
a4
<rm file>
a2
a3
a4

Additional info:
Tested with current RHEL3 U5 vixie-cron and RHEL3 U6 candidate, probably also
affects RHEL4.
Comment 1 Jason Vas Dias 2005-07-21 16:51:40 EDT
Fixed for bug 162887 with vixie-cron-4.1-36.EL4 .
Comment 6 Red Hat Bugzilla 2005-10-05 08:35:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-361.html

Note You need to log in before you can comment on or make changes to this bug.